#ifndef COLOURS_H
#define COLOURS_H

/*******************************************************
 * (c) 1999, Tim Vernum <zodsoft@kagi.com>
 * All rights reserved
 *******************************************************
 * File   : Colours.h
 * Author : Tim Vernum
 * Project: Trax Application
 * Purpose: Basic Colour Definitions
 * Licence: AUL
 *******************************************************/

#include <InterfaceDefs.h>

namespace Colours
{
	const rgb_color White  = { 255 , 255 , 255 , 255 } ;
	const rgb_color Grey08 = { 235 , 235 , 235 , 255 } ;
	const rgb_color Grey15 = { 217 , 217 , 217 , 255 } ;
	const rgb_color Grey25 = { 192 , 192 , 192 , 255 } ;
	const rgb_color Grey40 = { 153 , 153 , 153 , 255 } ;	
	const rgb_color Grey50 = { 128 , 128 , 128 , 255 } ;
	const rgb_color Grey60 = { 102 , 102 , 102 , 255 } ;
	const rgb_color Grey75 = {  64 ,  64 ,  64 , 255 } ;
	const rgb_color Grey85 = {  38 ,  38 ,  38 , 255 } ;
	const rgb_color Black  = {   0 ,   0 ,   0 , 255 } ;
	
	const rgb_color Red    = { 255 ,   0 ,   0 , 255 } ;
	const rgb_color Lime   = {   0 , 255 ,   0 , 255 } ;
	const rgb_color Blue   = {   0 ,   0 ,   0 , 255 } ;

	const rgb_color Yellow = { 255 , 255 ,   0 , 255 } ;
	const rgb_color Purple = { 255 ,   0 , 255 , 255 } ;
	const rgb_color Cyan   = {   0 , 255 , 255 , 255 } ;

	const rgb_color Maroon = { 192 ,   0 ,   0 , 255 } ;
	const rgb_color Pea    = {   0 , 192 ,   0 , 255 } ;
	const rgb_color Navy   = {   0 ,   0 , 192 , 255 } ;

	const rgb_color Khaki  = { 192 , 192 ,   0 , 255 } ;
	const rgb_color Plum   = { 192 ,   0 , 192 , 255 } ;
	const rgb_color Teal   = {   0 , 192 , 192 , 255 } ;

	const rgb_color Peach       = { 255 , 192 , 192 , 255 } ;
	const rgb_color PowderGreen = { 192 , 255 , 192 , 255 } ;
	const rgb_color Lavender    = { 192 , 192 , 255 , 255 } ;
	
	const rgb_color Sand        = { 255 , 255 , 192 , 255 } ;
	const rgb_color Fuchsia     = { 255 , 192 , 255 , 255 } ;
	const rgb_color PowderBlue  = { 192 , 255 , 255 , 255 } ;

	const rgb_color Orange      = { 255 , 192 ,   0 , 255 } ;
	const rgb_color Crimson     = { 255 ,   0 , 192 , 255 } ;
	const rgb_color FluoroGreen = { 192 , 255 ,   0 , 255 } ;
	const rgb_color Marine      = {   0 , 255 , 192 , 255 } ;
	const rgb_color Violet      = { 192 ,   0 , 255 , 255 } ;
	const rgb_color SlateBlue   = {   0 , 192 , 255 , 255 } ;

	const rgb_color Ochre       = { 255 , 128 ,   0 , 255 } ;
	const rgb_color Scarlet     = { 255 ,   0 , 128 , 255 } ;
	const rgb_color Apple       = { 128 , 255 ,   0 , 255 } ;
	const rgb_color Leaf        = {   0 , 255 , 128 , 255 } ;
	const rgb_color RoyalBlue   = { 128 ,   0 , 255 , 255 } ;
	const rgb_color RegencyBlue = {   0 , 128 , 255 , 255 } ;

	const rgb_color Clay        = { 192 , 128 ,  64 , 255 } ;
	const rgb_color Mud         = { 160 ,  96 ,  64 , 255 } ;
	const rgb_color Chocolate   = { 160 ,  64 ,   0 , 255 } ;
	const rgb_color Beige       = { 192 , 160 , 128 , 255 } ;

}



#endif
